Skip to main content
PUT
/
memberships
/
cp
/
api
/
subscription-contracts-update-shipping-address
Update shipping address
curl --request PUT \
  --url https://www.myshop.com/apps/memberships/cp/api/subscription-contracts-update-shipping-address \
  --header 'Content-Type: application/json' \
  --data '
{
  "address1": "123 Main St",
  "address2": "Apt 4B",
  "city": "New York",
  "firstName": "John",
  "lastName": "Doe",
  "phone": "+1-555-123-4567",
  "province": "New York",
  "zip": "10001",
  "country": "United States",
  "countryCode": "US",
  "provinceCode": "NY",
  "company": "Acme Inc"
}
'
{
  "get__typename": "<string>",
  "id": "<string>",
  "createdAt": {},
  "updatedAt": {},
  "nextBillingDate": {},
  "deliveryPrice": {
    "get__typename": "<string>",
    "amount": {}
  },
  "billingPolicy": {
    "get__typename": "<string>",
    "intervalCount": 123,
    "anchors": [
      {
        "get__typename": "<string>",
        "cutoffDay": 123,
        "day": 123,
        "month": 123
      }
    ],
    "maxCycles": 123,
    "minCycles": 123
  },
  "deliveryPolicy": {
    "get__typename": "<string>",
    "intervalCount": 123,
    "anchors": [
      {
        "get__typename": "<string>",
        "cutoffDay": 123,
        "day": 123,
        "month": 123
      }
    ]
  },
  "lines": {
    "get__typename": "<string>",
    "nodes": [
      {
        "get__typename": "<string>",
        "id": "<string>",
        "sellingPlanId": "<string>",
        "sellingPlanName": "<string>",
        "productId": "<string>",
        "sku": "<string>",
        "title": "<string>",
        "variantId": "<string>",
        "quantity": 123,
        "customAttributes": [
          {
            "get__typename": "<string>",
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "lineDiscountedPrice": {
          "get__typename": "<string>",
          "amount": {}
        },
        "variantImage": {
          "get__typename": "<string>",
          "transformedSrc": {}
        },
        "variantTitle": "<string>",
        "currentPrice": {
          "get__typename": "<string>",
          "amount": {}
        },
        "discountAllocations": [
          {
            "get__typename": "<string>",
            "amount": {
              "get__typename": "<string>",
              "amount": {}
            },
            "discount": {
              "get__typename": "<string>"
            }
          }
        ],
        "pricingPolicy": {
          "get__typename": "<string>",
          "basePrice": {
            "get__typename": "<string>",
            "amount": {}
          },
          "cycleDiscounts": [
            {
              "get__typename": "<string>",
              "afterCycle": 123,
              "computedPrice": {
                "get__typename": "<string>",
                "amount": {}
              },
              "adjustmentValue": {
                "get__typename": "<string>"
              }
            }
          ]
        },
        "taxable": true
      }
    ],
    "pageInfo": {
      "get__typename": "<string>",
      "hasPreviousPage": true,
      "hasNextPage": true,
      "startCursor": "<string>",
      "endCursor": "<string>"
    }
  },
  "customerPaymentMethod": {
    "get__typename": "<string>",
    "id": "<string>",
    "instrument": {
      "get__typename": "<string>"
    },
    "revokedAt": {}
  },
  "deliveryMethod": {
    "get__typename": "<string>"
  },
  "originOrder": {
    "get__typename": "<string>",
    "id": "<string>",
    "name": "<string>",
    "fulfillmentOrders": {
      "get__typename": "<string>",
      "nodes": [
        {
          "get__typename": "<string>",
          "fulfillAt": {},
          "id": "<string>"
        }
      ],
      "pageInfo": {
        "get__typename": "<string>",
        "hasPreviousPage": true,
        "hasNextPage": true,
        "startCursor": "<string>",
        "endCursor": "<string>"
      }
    }
  },
  "customer": {
    "get__typename": "<string>",
    "id": "<string>",
    "email": "<string>",
    "displayName": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "phone": "<string>"
  },
  "discounts": {
    "get__typename": "<string>",
    "nodes": [
      {
        "get__typename": "<string>",
        "id": "<string>",
        "title": "<string>",
        "value": {
          "get__typename": "<string>"
        },
        "recurringCycleLimit": 123,
        "usageCount": 123
      }
    ],
    "pageInfo": {
      "get__typename": "<string>",
      "hasPreviousPage": true,
      "hasNextPage": true,
      "startCursor": "<string>",
      "endCursor": "<string>"
    }
  },
  "note": "<string>",
  "customAttributes": [
    {
      "get__typename": "<string>",
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "billingAttempts": {
    "get__typename": "<string>",
    "nodes": [
      {
        "get__typename": "<string>",
        "completedAt": {},
        "createdAt": {},
        "id": "<string>",
        "idempotencyKey": "<string>",
        "ready": true
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

contractId
integer<int64>
required
shop
string
required

Body

application/json
address1
string

Primary street address

Example:

"123 Main St"

address2
string

Secondary address line (apt, suite, etc.)

Example:

"Apt 4B"

city
string

City name

Example:

"New York"

firstName
string

Recipient first name

Example:

"John"

lastName
string

Recipient last name

Example:

"Doe"

phone
string

Contact phone number

Example:

"+1-555-123-4567"

province
string

State or province name

Example:

"New York"

zip
string

Postal/ZIP code

Example:

"10001"

country
string

Country name

Example:

"United States"

countryCode
string

ISO country code

Example:

"US"

provinceCode
string

State/province code

Example:

"NY"

company
string

Company name

Example:

"Acme Inc"

Response

200 - */*

OK

get__typename
string
id
string
createdAt
object
updatedAt
object
nextBillingDate
object
status
enum<string>
Available options:
ACTIVE,
PAUSED,
CANCELLED,
EXPIRED,
FAILED,
$UNKNOWN
deliveryPrice
object
lastPaymentStatus
enum<string>
Available options:
SUCCEEDED,
FAILED,
$UNKNOWN
billingPolicy
object
deliveryPolicy
object
lines
object
customerPaymentMethod
object
deliveryMethod
object
originOrder
object
customer
object
discounts
object
note
string
customAttributes
object[]
billingAttempts
object